<html>
<head>
<title>OgreGrid3DPageStrategy.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGrid3DPageStrategy.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGrid3DPageStrategy_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_Grid3DPageStrategy_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_Grid3DPageStrategy_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgrePageStrategy_8h.html">OgrePageStrategy.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre
<a name="l00037"></a>00037 {
<a name="l00045"></a>00045 
<a name="l00046"></a>00046 
<a name="l00104"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html">00104</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid3DPageStrategy.">Grid3DPageStrategyData</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a>
<a name="l00105"></a>00105     {
<a name="l00106"></a>00106     <span class="keyword">protected</span>:
<a name="l00108"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a796e5dd4ce7a8d8cc9ad49d430fc3d93">00108</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a796e5dd4ce7a8d8cc9ad49d430fc3d93" title="Origin (world space)">mWorldOrigin</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a468c8c8e875cab1290b47969d6051a66">00110</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a468c8c8e875cab1290b47969d6051a66" title="Origin (grid-aligned world space)">mOrigin</a>;
<a name="l00112"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aa75d9becbb8f196ccecc0cc7caa4bb81">00112</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aa75d9becbb8f196ccecc0cc7caa4bb81" title="Grid cell (page) size.">mCellSize</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af216446cf2649a1f974410412ebb41ef">00114</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af216446cf2649a1f974410412ebb41ef" title="Load radius.">mLoadRadius</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#adc27747d0015eb9a5ccb2d0a548a9442">00116</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#adc27747d0015eb9a5ccb2d0a548a9442" title="Hold radius.">mHoldRadius</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aaa63c47bfbfd03b313d407a41f37fd97">00117</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aaa63c47bfbfd03b313d407a41f37fd97">mMinCellX</a>;
<a name="l00118"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af3d9e45f8ce321e30fb704251768d651">00118</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af3d9e45f8ce321e30fb704251768d651">mMinCellY</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ae5330523b13aaa6fd42032e26137498a">00119</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ae5330523b13aaa6fd42032e26137498a">mMinCellZ</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af29809317c6c61eb78d903cb1e842cef">00120</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#af29809317c6c61eb78d903cb1e842cef">mMaxCellX</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a604249a613ddead7a4284a4fdf407368">00121</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a604249a613ddead7a4284a4fdf407368">mMaxCellY</a>;
<a name="l00122"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ae2c7ebab95b739d21efbad2d57949fb0">00122</a>         <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ae2c7ebab95b739d21efbad2d57949fb0">mMaxCellZ</a>;
<a name="l00123"></a>00123 
<a name="l00124"></a>00124     <span class="keyword">public</span>:
<a name="l00125"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ad44736dbc7ae064bc6169873fa00a903">00125</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ad44736dbc7ae064bc6169873fa00a903">CHUNK_ID</a>;
<a name="l00126"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#abcac31196d612eef54c443aae78897e7">00126</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#abcac31196d612eef54c443aae78897e7">CHUNK_VERSION</a>;
<a name="l00127"></a>00127 
<a name="l00128"></a>00128         <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid3DPageStrategy.">Grid3DPageStrategyData</a>();
<a name="l00129"></a>00129         ~<a class="code" href="classOgre_1_1Grid3DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid3DPageStrategy.">Grid3DPageStrategyData</a>();
<a name="l00130"></a>00130 
<a name="l00132"></a>00132         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOrigin(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; worldOrigin);
<a name="l00134"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ac1f2ae920c09cc2595a11da65d422b82">00134</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ac1f2ae920c09cc2595a11da65d422b82" title="Get the origin of the grid in world space.">getOrigin</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; worldOrigin) { <span class="keywordflow">return</span> mWorldOrigin; }
<a name="l00136"></a>00136         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; sz);
<a name="l00138"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a5e4b5781bed0ea7e7f22b04df680b6ae">00138</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a5e4b5781bed0ea7e7f22b04df680b6ae" title="Get the size of the cells in the grid.">getCellSize</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCellSize; }
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setLoadRadius(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> sz);
<a name="l00142"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aa824c18196855bd439c6817a2ad4eda3">00142</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#aa824c18196855bd439c6817a2ad4eda3" title="Get the loading radius.">getLoadRadius</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLoadRadius; }
<a name="l00144"></a>00144         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setHoldRadius(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> sz);
<a name="l00146"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ab9c0c8b0b5a65da067606650efbc217c">00146</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ab9c0c8b0b5a65da067606650efbc217c" title="Get the Holding radius.">getHoldRadius</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mHoldRadius; }
<a name="l00147"></a>00147 
<a name="l00149"></a>00149         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRange(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minZ, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxZ);
<a name="l00151"></a>00151         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMinX(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX);
<a name="l00153"></a>00153         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMinY(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY);
<a name="l00155"></a>00155         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMinZ(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minZ);
<a name="l00157"></a>00157         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMaxX(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX);
<a name="l00159"></a>00159         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMaxY(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY);
<a name="l00161"></a>00161         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCellRangeMaxZ(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxZ);
<a name="l00163"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ac96257e802a810e09e7a1a2fe5c0c783">00163</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#ac96257e802a810e09e7a1a2fe5c0c783" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMinX</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMinCellX; }
<a name="l00165"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a670bfb61fd9f6bd0b3da9255281ea8fe">00165</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a670bfb61fd9f6bd0b3da9255281ea8fe" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMinY</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMinCellY; }
<a name="l00167"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#acd2c7b311df7432c62ec722e0bcc3e48">00167</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#acd2c7b311df7432c62ec722e0bcc3e48" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMinZ</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMinCellZ; }
<a name="l00169"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a9352d1e0267715ad448a6e1e315ec1e0">00169</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a9352d1e0267715ad448a6e1e315ec1e0" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMaxX</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMaxCellX; }
<a name="l00171"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a6189193df0c060477fe43fd0b0bf6464">00171</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a6189193df0c060477fe43fd0b0bf6464" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMaxY</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMaxCellY; }
<a name="l00173"></a><a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a893cdaf8ba2e00ba02e516aecd1ffac6">00173</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="code" href="classOgre_1_1Grid3DPageStrategyData.html#a893cdaf8ba2e00ba02e516aecd1ffac6" title="get the index range of all cells (values outside this will be ignored)">getCellRangeMaxZ</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMaxCellZ; }
<a name="l00174"></a>00174 
<a name="l00176"></a>00176         <span class="keywordtype">bool</span> load(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00178"></a>00178         <span class="keywordtype">void</span> save(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00179"></a>00179 
<a name="l00180"></a>00180         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getMidPointGridSpace(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; mid);
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getBottomLeftGridSpace(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <span class="keywordtype">int</span> z, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; bl);
<a name="l00187"></a>00187         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCornersGridSpace(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>* pEightPoints);
<a name="l00188"></a>00188         
<a name="l00190"></a>00190         <span class="keywordtype">void</span> determineGridLocation(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; gridpos, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* y, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* z);
<a name="l00191"></a>00191 
<a name="l00192"></a>00192         <a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> calculatePageID(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z);
<a name="l00193"></a>00193         <span class="keywordtype">void</span> calculateCell(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> inPageID, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* x, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* y, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>* z);
<a name="l00194"></a>00194     };
<a name="l00195"></a>00195 
<a name="l00196"></a>00196 
<a name="l00203"></a><a class="code" href="classOgre_1_1Grid3DPageStrategy.html">00203</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>
<a name="l00204"></a>00204     {
<a name="l00205"></a>00205     <span class="keyword">public</span>:
<a name="l00206"></a>00206         <a class="code" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>(<a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* manager);
<a name="l00207"></a>00207 
<a name="l00208"></a>00208         ~<a class="code" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>();
<a name="l00209"></a>00209 
<a name="l00210"></a>00210         <span class="comment">// Overridden members</span>
<a name="l00211"></a>00211         <span class="keywordtype">void</span> notifyCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00212"></a>00212         <a class="code" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a>* createData();
<a name="l00213"></a>00213         <span class="keywordtype">void</span> destroyData(<a class="code" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a>* d);
<a name="l00214"></a>00214         <span class="keywordtype">void</span> updateDebugDisplay(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* p, <a class="code" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a>* sn);
<a name="l00215"></a>00215         <a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> getPageID(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; worldPos, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00216"></a>00216     };
<a name="l00217"></a>00217 
<a name="l00220"></a>00220 }
<a name="l00221"></a>00221 
<a name="l00222"></a>00222 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
